- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BranchingWeight Class Reference

the BranchingWeight class. More...

`#include <OSOption.h>`

List of all members.

## Public Member Functions
| BranchingWeight ()
| Default constructor.
| ~BranchingWeight ()
| Class destructor.
bool | IsEqual (BranchingWeight *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | idx
| index of the variable
double | value
| branching weight

## Detailed Description

the BranchingWeight class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/11/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 1404 of file OSOption.h.

## Constructor & Destructor Documentation

BranchingWeight::BranchingWeight | ( |  | ) |

Default constructor.

Definition at line 559 of file OSOption.cpp.

BranchingWeight::~BranchingWeight | ( |  | ) |

Class destructor.

Definition at line 568 of file OSOption.cpp.

## Member Function Documentation

bool BranchingWeight::IsEqual | ( | BranchingWeight * | that | ) |

A function to check for the equality of two objects.

Definition at line 9341 of file OSOption.cpp.

References idx, isEqual(), and value.

bool BranchingWeight::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10811 of file OSOption.cpp.

References idx, OSRand(), and value.

Referenced by SOSWeights::setRandom(), and IntegerVariableBranchingWeights::setRandom().

## Member Data Documentation

int BranchingWeight::idx

index of the variable

Definition at line 1408 of file OSOption.h.

Referenced by SOSVariableBranchingWeights::addSOS(), SOSWeights::addVar(), IntegerVariableBranchingWeights::addVar(), IsEqual(), setRandom(), and IntegerVariableBranchingWeights::setVar().

double BranchingWeight::value

branching weight

Definition at line 1411 of file OSOption.h.

Referenced by SOSVariableBranchingWeights::addSOS(), SOSWeights::addVar(), IntegerVariableBranchingWeights::addVar(), IsEqual(), setRandom(), and IntegerVariableBranchingWeights::setVar().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp